Package: grails.artefact

## [Java] Annotation Type ApiDelegate

- grails.artefact.ApiDelegate

-     @java.lang.annotation.Documented
      @java.lang.annotation.Retention(RetentionPolicy.SOURCE)
      @java.lang.annotation.Target({ElementType.FIELD})
      @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.grails.compiler.injection.ApiDelegateTransformation")
      public @interface ApiDelegate

  Similar to Groovy's

  Delegate:
    AST transform but instead assumes the first argument to every method is 'this'.
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.Class<?>` | `value` Returns: The super class to check for in the first argument of api methods

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.Class<?> value

      Returns:
        The super class to check for in the first argument of api methods